Bug 842650 - cppcheck errors for lftp package
cppcheck errors for lftp package
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lftp (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jiri Skala
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 07:03 EDT by David Kutálek
Modified: 2014-11-09 17:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 08:39:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kutálek 2012-07-24 07:03:16 EDT
Description of problem:

cppcheck shows these [error] messages for lftp-3.7.11-7.el5.src.rpm:

lib/regcomp.c: Uninitialized variable: symb_table [error]
lib/strtol.c: Assigning address of local auto-variable to a function parameter. [error]
lib/vasnprintf.c: Uninitialized variable: pad_ourselves [error]
src/FileAccess.cc: Possible null pointer dereference: f - otherwise it is redundant to check if f is null at line 322 [error]
src/complete.cc: Possible null pointer dereference: rtext - otherwise it is redundant to check if rtext is null at line 1167 [error]
src/xarray.cc: Common realloc mistake: 'buf' nulled but not freed upon failure [error]
trio/trio.c: syntax error [error]

Version-Release number of selected component (if applicable):

lftp-3.7.11-7.el5

How reproducible:

Always

Steps to Reproduce:
1. run cppcheck against patched sources from lftp-3.7.11-7.el5.src.rpm
2.
3.
  
Actual results:

Errors printed

Expected results:

No errors if possible.

Additional info:
Comment 2 Jiri Skala 2012-08-15 08:39:37 EDT
I reviewed errors above. These are false positives. Closing wontfix.

Note You need to log in before you can comment on or make changes to this bug.